# Class RoundStartedEvent

java.lang.Object
robocode.control.events.BattleEvent
robocode.control.events.RoundStartedEvent

public class RoundStartedEvent extends BattleEvent
A RoundStartedEvent is sent to `onRoundStarted()` when a new round in a battle is started.

Since:
  1.6.2
Author:
  Pavel Savara (original), Flemming N. Larsen (contributor)
See Also:
  - `IBattleListener`
  - `RoundEndedEvent`

## Constructor Summary

Constructors
Constructor
Description
`RoundStartedEvent(ITurnSnapshot startSnapshot, int round)`
Called by the game to create a new RoundStartedEvent.

## Method Summary

Modifier and Type
Method
Description
`int`
`getRound()`
Returns the round number.
`ITurnSnapshot`
`getStartSnapshot()`
Returns the start snapshot of the participating robots, initial starting positions etc.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RoundStartedEvent

public RoundStartedEvent(ITurnSnapshot startSnapshot, int round)
Called by the game to create a new RoundStartedEvent. Please don't use this constructor as it might change.

Parameters:
  `startSnapshot` - the start snapshot of the participating robots, initial starting positions etc.
  `round` - the round number (zero indexed).

## Method Details

### getStartSnapshot

public ITurnSnapshot getStartSnapshot()
Returns the start snapshot of the participating robots, initial starting positions etc.

Returns:
  a `ITurnSnapshot` that serves as the start snapshot of the round.

### getRound

public int getRound()
Returns the round number.

Returns:
  the round number, which is zero indexed.